Bug 1523940 - [RFE] [sat 6.3] k5login should support setting selinux context and owner attributes
Summary: [RFE] [sat 6.3] k5login should support setting selinux context and owner attr...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Puppet
Version: 6.3.0
Hardware: x86_64
OS: Linux
medium
low vote
Target Milestone: Released
Assignee: satellite6-bugs
QA Contact: Peter Ondrejka
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-12-09 10:35 UTC by Abhishek Sahni
Modified: 2019-10-07 17:37 UTC (History)
4 users (show)

Fixed In Version: puppet-agent-5.4.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:36:46 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Puppet Labs PUP-4403 None None None 2018-08-13 08:38:07 UTC
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:36:54 UTC
Red Hat Knowledge Base (Article) 3294361 None None None 2017-12-19 16:51:56 UTC

Description Abhishek Sahni 2017-12-09 10:35:24 UTC
1. Proposed title of this feature request  
    
-- k5login should support setting selinux context and owner attributes   

When creating the .k5login file, it would be helpful if - in addition to permissions - we could set the owner of the file and its selinux context.

     
2. Is there already an existing issue upstream or in Red Hat Bugzilla?  
  
-- https://tickets.puppetlabs.com/browse/PUP-4403

FIX - https://github.com/puppetlabs/puppet/commit/9edeacd7d92c16f5ea93682da02ae4db04c4b9f5
     
     
3. Does the customer have any specific timeline dependencies and which release would they like to target (i.e. RHEL5, RHEL6)?  
     No.
     
     
4. Is the sales team involved in this request and do they have any additional input?  
     No.
    
     
8. List any affected packages or components.  
     NA

Comment 2 Ondřej Pražák 2018-08-13 08:38:07 UTC
The fix was merged into Puppet and released in Puppet 5.4.0. Could QE verify?

Comment 5 Peter Ondrejka 2019-03-12 17:13:59 UTC
Checked on Satellite 6.5 and sat tools snap 19. Confirming the changes landed in puppet-agent-5.5.0-3.el7sat.x86_64, seluser, selrole, seltype and selrange are now avlailable for the k5login resource

Comment 8 errata-xmlrpc 2019-05-14 12:36:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.